Commit ac046ea6 authored by Axel Beckert's avatar Axel Beckert

Drop transitional package lynx-cur

parent 41161d94
......@@ -7,6 +7,7 @@ lynx (2.8.9dev16-2) UNRELEASED; urgency=low
* Set "Rules-Requires-Root: no".
* Use "dh_update_autotools_config" instead of "--with autotools".
+ Drop build-dependency on autotools-dev.
* Drop transitional package lynx-cur.
-- Denis Briand <debian@denis-briand.fr> Fri, 11 Aug 2017 22:13:43 +0200
......
......@@ -59,14 +59,3 @@ Description: classic non-graphical (text-mode) web browser
In continuous development since 1992, Lynx sets the standard for
text-mode web clients. It is fast and simple to use, with support for
browsing via FTP, Gopher, HTTP, HTTPS, NNTP, and the local file system.
Package: lynx-cur
Section: oldlibs
Priority: extra
Architecture: all
Multi-Arch: foreign
Depends: lynx (>= 2.8.9dev8-2~),
${misc:Depends}
Description: Text-mode WWW Browser (transitional package)
This is a transitional package and can safely be removed; see the
lynx package instead.
#!/bin/sh
set -e
# Inspired by
# http://wiki.debian.org/DpkgConffileHandling
# Remove a no-longer used conffile
rm_or_moveconffile() {
PKGNAME="$1"
CONFFILE="$2"
NEWDIR="$3"
if [ -e "$CONFFILE" ]; then
md5sum="`md5sum \"$CONFFILE\" | sed -e \"s/ .*//\"`"
old_md5sum="`dpkg-query -W -f='${Conffiles}' $PKGNAME | sed -n -e \"\\\\' $CONFFILE '{s/ obsolete$//;s/.* //p}\"`"
if [ "$md5sum" != "$old_md5sum" ]; then
test -e "$NEWDIR" || mkdir -m 755 -p "$NEWDIR"
echo "Obsolete conffile $CONFFILE has been modified by you." 1>&2
if [ -e "$NEWDIR/`basename $CONFFILE`" ]; then
echo "replacement conffile $NEWDIR/`basename $CONFFILE` already exists." 1>&2
echo "Saving as $CONFFILE.dpkg-bak ..." 1>&2
mv -f "$CONFFILE" "$CONFFILE".dpkg-bak
else
echo "Moving conffile $CONFFILE to new location $NEWDIR" 1>&2
mv -f "$CONFFILE" "$NEWDIR/"
fi
else
echo "Removing obsolete conffile $CONFFILE ..." 1>&2
rm -f "$CONFFILE"
fi
fi
}
case "$1" in
install|upgrade)
# Upgrading from a a real, non-dummy lynx-cur package.
if dpkg --compare-versions "$2" 'lt-nl' '2.8.9dev6-6~' ; then
update-alternatives --quiet --remove www-browser /usr/bin/lynx
update-alternatives --quiet --remove lynx-cur /usr/bin/lynx.stable
rm_or_moveconffile lynx-cur /etc/lynx-cur/lynx.cfg /etc/lynx
rm_or_moveconffile lynx-cur /etc/lynx-cur/lynx.lss /etc/lynx
fi
;;
*)
esac
#DEBHELPER#
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment